# ID Card

{% tabs %}
{% tab title="BUY" %}
[Buy the script](https://dolajiscripts.com/script/redm-id-card)
{% endtab %}

{% tab title="Preview" %}
<https://www.youtube.com/watch?v=kMOGG7YtFTE>
{% endtab %}
{% endtabs %}

### 1. Installation[​](https://docs.jumpon-studios.com/RedM/camp-builder#_1-installation) <a href="#id-1-installation" id="id-1-installation"></a>

\
ds-idcard works on all frameworks compatible with jo\_libs ([the list](https://docs.jumpon-studios.com/jo_libs/)).

To install ds-idcard:

* Download the library: [jo\_libs](https://github.com/Jump-On-Studios/RedM-jo_libs/releases/latest/download/jo_libs.zip)
* Unzip the folder and drop it in your resource folder
* Download ds-idcard from your [keymaster](https://keymaster.fivem.net/asset-grants?search=hairdresser)
* Unzip the folder and drop it in your resource folder
* Add this ensure in your server.cfg
  * `ensure jo_libs`
  * `ensure ds-idcard`
* add `idcard` item in your items

### 2. Usage[​](https://docs.jumpon-studios.com/RedM/clothing-store#_2-usage) <a href="#id-2-usage" id="id-2-usage"></a>

Go on the Identity Creation (blip on the map) to get the prompt. Press the key to open the book.

### 3. Config.lua <a href="#id-3-config-lua" id="id-3-config-lua"></a>

<details>

<summary>Config.lua</summary>

```lua
Config = Config or {}

Config.Locations = {
    [1] = {
        coords = vector3(2732.16, -1401.94, 46.18),
        pedCoords = vector3(2732.16, -1401.94, 45.28),
        pedHeading = 27.96,
	distancePrompt = 2.0,
        EnablePrompt = true,
        EnableJob = true,
        job = 'shariff',
    },
}

Config.Ped = {
    enable = true,
    pedModel = `s_m_m_ambientblwpolice_01`,
}

Config.Blip = {
    enable = true,
    BlipName = "Identity Creation",
    BlipSprite = `blip_ambient_vip`,
}

Config.Prompt = {
    key = 'INPUT_FRONTEND_ACCEPT',
    groupName = 'Identity Creation',
    keyName = "Open Creator"
}
```

</details>

### 4. For developers <a href="#id-4-for-developers" id="id-4-for-developers"></a>

#### Events <a href="#events" id="events"></a>

**Open the Identity Creator (Client)**

```lua
TriggerEvent("ds-idcard:openCreator")
```

[​](https://docs.jumpon-studios.com/RedM/clothing-store#_4-for-developers)

\ <br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dolajiscripts.com/redm/id-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
